# Specify the minimum required version of CMake
cmake_minimum_required(VERSION 3.10)

# Set the name of the project
project(douwco_web)

# Find required packages
find_package(Crow)
find_package(OpenSSL REQUIRED)
find_package(ZLIB REQUIRED)

# Set C++ standard to C++17
set(CMAKE_CXX_STANDARD 17)

# Add the executable
add_executable(douwco_web
    src/main.cpp
    src/server.cpp
)

# Specify include directories
target_include_directories(douwco_web PRIVATE
    ${PROJECT_SOURCE_DIR}/include
    ${OPENSSL_INCLUDE_DIR}
)

target_link_libraries(douwco_web PUBLIC 
    Crow::Crow
    ${OPENSSL_LIBRARIES} ${ZLIB_LIBRARIES}
)
